# GET All Livescores

### `GET` All Livescores

```
https://cricket.sportmonks.com/api/v2.0/livescores
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 10      |

#### Parameters

| Available parameters |                                                                                                                                                                       |
| -------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url.                                                     |
| filter               | <p>Array of fields to filter on. Can be used by adding <code>\&filter\[{field you want to filter}].</code> <br>For example: <code>\&filter\[league\_id]=3.</code></p> |
| fields\[object]      | Only return fields you are interested in. Simply add `&fields[object]=id,name,code`  to your request url.                                                             |
| sort                 | One or comma separated list of fields to sort on. Can be used by adding `&sort=` to your request url.                                                                 |

**Filters**

`status`

**Sort**

You can sort on all fields.

#### Include options

`balls` `runs` `bowling` `batting` `venue` `stage` `season` `league` `visitorteam` `localteam` `scoreboards` `firstumpire` `secondumpire` `referee` `tvumpire` `manofseries` `manofmatch` `tosswon` `lineup`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors. &#x20;

To gain more information on the relations available for the include you can use [nested includes](https://docs.sportmonks.com/cricket/getting-started/enriching-your-response). For example you can use `batting.batsman` or `batting.bowler` or `batting.runoutby`. more option are available.

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MTeYiIp3JNsC4Lao5Nm" %}
[Enriching your response](/v2/cricket-api/getting-started/enriching-your-response.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://cricket.sportmonks.com/api/v2.0/livescores?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
"data": [
        {
            "resource": "fixtures",
            "id": 28295,
            "league_id": 3,
            "season_id": 507,
            "stage_id": 2723,
            "round": "3rd T20I",
            "localteam_id": 37,
            "visitorteam_id": 36,
            "starting_at": "2021-08-06T12:00:00.000000Z",
            "type": "T20I",
            "live": true,
            "status": "1st Innings",
            "last_period": null,
            "note": "",
            "venue_id": 17,
            "toss_won_team_id": 37,
            "winner_team_id": null,
            "draw_noresult": null,
            "first_umpire_id": 78,
            "second_umpire_id": 31,
            "tv_umpire_id": 140,
            "referee_id": 144,
            "man_of_match_id": null,
            "man_of_series_id": null,
            "total_overs_played": 20,
            "elected": "batting",
            "super_over": false,
            "follow_on": false,
            "localteam_dl_data": {
                "score": null,
                "overs": null,
                "wickets_out": null
            },
            "visitorteam_dl_data": {
                "score": null,
                "overs": null,
                "wickets_out": null
            },
            "rpc_overs": null,
            "rpc_target": null,
            "weather_report": []
        }
    ]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/livescores-and-fixtures/get-all-livescores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
